User account creation filtered due to spam.

Bug 15123 - libstdc++-doc: Allocators.3 manpage is empty
Summary: libstdc++-doc: Allocators.3 manpage is empty
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: 3.4.0
: P2 normal
Target Milestone: 3.4.1
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-25 07:00 UTC by Debian GCC Maintainers
Modified: 2004-05-22 11:58 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2004-04-25 14:21:41


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Debian GCC Maintainers 2004-04-25 07:00:06 UTC
[forwarded from http://bugs.debian.org/242432]

The man page generated by doxygen-man target is empty.
Comment 1 Andrew Pinski 2004-04-25 14:21:41 UTC
Confirmed.
Comment 2 Benjamin Kosnik 2004-05-13 20:17:01 UTC
I cannot confirm this. I think it has something to do with doxygen versions. 

Using 

%doxygen --version
1.3.4


I can create the following:
http://people.redhat.com/bkoz/doxygen/

-benjamin
Comment 3 Benjamin Kosnik 2004-05-13 21:59:10 UTC
Seems to be the same as 13928

-benjamin
Comment 4 Benjamin Kosnik 2004-05-20 18:43:39 UTC
This is unrelated to 13928. I'm testing patches now.

-benjamin
Comment 5 CVS Commits 2004-05-20 19:27:28 UTC
Subject: Bug 15123

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	bkoz@gcc.gnu.org	2004-05-20 18:52:09

Modified files:
	libstdc++-v3   : ChangeLog 
	libstdc++-v3/docs/doxygen: Intro.3 guide.html run_doxygen 
	                           stdheader.cc user.cfg.in 

Log message:
	2004-05-20  Benjamin Kosnik  <bkoz@redhat.com>
	
	PR libstdc++/15123
	PR libstdc++/13928
	* docs/doxygen/Intro.3: Remove Allocators.3.
	Add new extension headers, extension namespace list.
	* docs/doxygen/run_doxygen (problematic): Remove Allocators.3
	Rename GLIBCXXSTD names to std::. Rename __gnu_debug to
	__gnu_debug::. Remove __policy_ renames.
	* docs/doxygen/guide.html: Add dot note.
	* docs/doxygen/stdheader.cc: Edit, add files.
	* docs/doxygen/user.cfg.in: Regenerate with Doxygen 1.3.7.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&r1=1.2484&r2=1.2485
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/Intro.3.diff?cvsroot=gcc&r1=1.8&r2=1.9
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/guide.html.diff?cvsroot=gcc&r1=1.3&r2=1.4
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/run_doxygen.diff?cvsroot=gcc&r1=1.25&r2=1.26
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/stdheader.cc.diff?cvsroot=gcc&r1=1.2&r2=1.3
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/user.cfg.in.diff?cvsroot=gcc&r1=1.28&r2=1.29

Comment 6 CVS Commits 2004-05-22 05:07:27 UTC
Subject: Bug 15123

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	bkoz@gcc.gnu.org	2004-05-22 05:07:20

Modified files:
	libstdc++-v3   : ChangeLog 
	libstdc++-v3/docs/doxygen: Intro.3 guide.html run_doxygen 
	                           stdheader.cc user.cfg.in 
	libstdc++-v3/docs/html: abi.html 

Log message:
	2004-05-21  Benjamin Kosnik  <bkoz@redhat.com>
	
	* docs/html/abi.html (libgcc_s): Additions suggested by Matthias Klose.
	* docs/doxygen/Intro.3: Subtractions suggested by Phil Edwards.
	
	2004-05-21  Benjamin Kosnik  <bkoz@redhat.com>
	
	PR libstdc++/15123
	PR libstdc++/13928
	* docs/doxygen/Intro.3: Remove Allocators.3.
	Add new extension headers, extension namespace list.
	* docs/doxygen/run_doxygen (problematic): Remove Allocators.3
	Rename GLIBCXXSTD names to std::. Rename __gnu_debug to
	__gnu_debug::. Remove __policy_ renames.
	* docs/doxygen/guide.html: Add dot note.
	* docs/doxygen/stdheader.cc: Edit, add files.
	* docs/doxygen/user.cfg.in: Regenerate with Doxygen 1.3.7.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.2224.2.109&r2=1.2224.2.110
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/Intro.3.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.8&r2=1.8.20.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/guide.html.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.3&r2=1.3.14.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/run_doxygen.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.25&r2=1.25.10.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/stdheader.cc.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.2&r2=1.2.32.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/user.cfg.in.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.28&r2=1.28.10.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/html/abi.html.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.2.2.1&r2=1.2.2.2

Comment 7 Andrew Pinski 2004-05-22 11:58:04 UTC
Fixed in 3.4.1 and above.